For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Engagement object
          • GET/engagements
          • POST/engagements
          • GET/engagements/{id}
          • PATCH/engagements/{id}
          • GET/engagements/meta/patch/{id}
          • GET/engagements/meta/post
          • GET/engagements/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsEngagements

/engagements

Beta
POST
/crm/v1/engagements
POST
/api/crm/v1/engagements
$curl -X POST https://api.merge.dev/api/crm/v1/engagements \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "550e8400-e29b-41d4-a716-446655440000",
4 "remote_id": "19202938",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "owner": "0358cbc6-2040-430a-848e-aafacbadf3aa",
8 "content": "Call for negotiation",
9 "subject": "Call from customer",
10 "direction": "INBOUND",
11 "engagement_type": "0358cbc6-2040-430a-848e-aafacbadf3aa",
12 "start_time": "2022-02-10T00:00:00Z",
13 "end_time": "2022-02-10T00:05:00Z",
14 "account": "025fjlc6-6000-430a-848e-aafacbadf4fe",
15 "contacts": [
16 "a7c55bc6-2940-c80a-848e-bbfacbfdf4fg"
17 ],
18 "remote_was_deleted": true,
19 "field_mappings": {
20 "organization_defined_targets": {
21 "custom_key": "custom_value"
22 },
23 "linked_account_defined_targets": {
24 "custom_key": "custom_value"
25 }
26 },
27 "remote_data": [
28 {
29 "path": "/engagements",
30 "data": null
31 }
32 ],
33 "remote_fields": [
34 {
35 "remote_field_class": {
36 "id": "string",
37 "display_name": "string",
38 "remote_key_name": "string",
39 "description": "string",
40 "is_custom": true,
41 "is_common_model_field": true,
42 "is_required": true,
43 "field_type": "string",
44 "field_format": "string",
45 "field_choices": [
46 "string"
47 ],
48 "item_schema": {
49 "item_type": "string",
50 "item_format": "string",
51 "item_choices": [
52 "string"
53 ]
54 }
55 },
56 "value": "string"
57 }
58 ]
59 },
60 "warnings": [
61 {
62 "title": "Unrecognized Field",
63 "detail": "An unrecognized field, age, was passed in with request data.",
64 "problem_type": "UNRECOGNIZED_FIELD",
65 "source": {
66 "pointer": "/age"
67 },
68 "block_merge_link": true,
69 "raw_error": "string",
70 "error_code": 1
71 }
72 ],
73 "errors": [
74 {
75 "title": "Missing Required Field",
76 "detail": "custom_fields is a required field on model.",
77 "problem_type": "MISSING_REQUIRED_FIELD",
78 "source": {
79 "pointer": "/model/custom_fields"
80 },
81 "block_merge_link": true,
82 "raw_error": "string",
83 "error_code": 1
84 }
85 ],
86 "logs": [
87 {
88 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
89 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
90 "log_summary": {
91 "url": "www.exampleintegration.com/api/v1/exampleapi",
92 "method": "POST",
93 "status_code": 200
94 }
95 }
96 ]
97}

Creates an Engagement object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/engagements

Next

/engagements/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Engagement object is used to represent an interaction noted in a CRM system.

Usage Example

TODO

Response

modelobject

Description

The Engagement object is used to represent an interaction noted in a CRM system.

Usage Example

TODO

warningslist of objects
errorslist of objects
logslist of objects